---
title: "List transactions"
description: "Returns a paginated list of transactions for the company in the `companyId` header. Supports extensive filtering by transaction category, sync status, approval status, transaction status, card last four, employee, chart-of-account and tax-rate name/remote id, VAT and transaction amount ranges, billing and transaction currency, cardholder email, cleared and transaction time ranges, sync-exclusion flag, and Qashio id / parent Qashio id."
source: https://developers.qashio.com/v1/reference/get-erp-transactions/
---

# List transactions

`GET /erp-transactions`

Requires a Bearer access token.

Returns a paginated list of transactions for the company in the `companyId` header. Supports extensive filtering by transaction category, sync status, approval status, transaction status, card last four, employee, chart-of-account and tax-rate name/remote id, VAT and transaction amount ranges, billing and transaction currency, cardholder email, cleared and transaction time ranges, sync-exclusion flag, and Qashio id / parent Qashio id.

### Query parameters

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `page` | number | no |  |
| `limit` | number | no |  |
| `transactionCategory` | string | no |  |
| `erpSyncStatus` | string | no |  |
| `approvalStatus` | string | no |  |
| `transactionStatus` | string | no |  |
| `cardLastFour` | string | no |  |
| `employeeId` | string | no |  |
| `erpChartOfAccountName` | string | no |  |
| `erpChartOfAccountRemoteId` | string | no |  |
| `erpTaxRateName` | string | no |  |
| `erpTaxRateRemoteId` | string | no |  |
| `vatAmountFrom` | number | no |  |
| `vatAmountTo` | number | no |  |
| `transactionAmountFrom` | number | no |  |
| `transactionAmountTo` | number | no |  |
| `billingCurrency` | string | no |  |
| `transactionCurrency` | string | no |  |
| `cardHolderEmail` | string | no |  |
| `clearedAtFrom` | string | no |  |
| `clearedAtTo` | string | no |  |
| `transactionTimeFrom` | string | no |  |
| `transactionTimeTo` | string | no |  |
| `excludeFromSync` | boolean | no |  |
| `parentQashioId` | string | no |  |
| `qashioId` | string | no |  |
| `id` | string | no |  |

### Example request

```bash
curl -X GET 'https://erp.qashio.com/erp-transactions?page=1&limit=10' \
  -H 'Accept: application/json' \
  -H 'Authorization: Bearer <access_token>'
```

### Example response (200)

```json
[
  {
    "page": 1,
    "totalPages": 1,
    "total": 1,
    "data": [
      {
        "id": "c4943209-4462-455a-9bb9-f6781b3838bf",
        "qashioId": "CT123asd123",
        "companyId": "COoyy0mfzqhxtbkm",
        "cardExternalId": "CA0zkna0yao4vpfq",
        "poolExternalId": "ACpool1234567890",
        "amount": 102,
        "currency": "USD",
        "transactionTime": "2025-02-18T11:44:39.204Z",
        "transactionStatus": "draft",
        "transactionMode": "Online",
        "rrn": "RRN-1739879079204-2",
        "transactionDescription": "Transaction for vendor 2",
        "transactionType": "Purchase",
        "messageType": "MTI123",
        "transmissionDateTime": "2025-02-18T11:44:39.204Z",
        "vendorTrn": "VendorTrn-2",
        "transactionAmount": 102.5,
        "transactionCurrency": "USD",
        "purchaseOrderNumber": "PO-2",
        "parentId": null,
        "parentQashioId": null,
        "memo": "Memo for transaction 2",
        "clearingStatus": "Processed",
        "vatAmount": 12,
        "transactionCategory": "Purchase",
        "visible": true,
        "clearedAt": "2025-02-18T11:44:39.204Z",
        "excludeFromSync": false,
        "status": "draft",
        "syncErrors": [],
        "erpSyncStatus": "Pending",
        "erpSyncType": "Full",
        "merchantName": "Amazon",
        "merchantCountry": "AE",
        "erpSupplierName": "Supplier 2",
        "erpSupplierRemoteId": "remote-id-2",
        "poolAccountName": "Account 2",
        "cardName": "Visa Platinum",
        "cardLastFour": "0002",
        "cardHolderName": "Card Holder 2",
        "cardHolderEmail": "holder2@example.com",
        "employeeId": "emp-123",
        "approvalStatus": "Pending",
        "approvedDateTime": "2026-03-15T16:45:22.000Z",
        "approvedBy": {
          "userExternalId": "UP95egoevjjmct7u",
          "name": "Zahid Automation"
        },
        "chartOfAccountNumber": "COA-6100",
        "feeCharges": 2.75,
        "modifiedDate": "2026-03-16T09:12:05.000Z",
        "receipts": [
          "https://example.com/receipt1.jpg",
          "https://example.com/receipt2.jpg"
        ],
        "segments": [
          {
            "name": "Main Office",
            "label": "Location",
            "erp_internal_id": "LOC-001",
            "code": "MO"
          },
          {
            "name": "Project Alpha",
            "label": "Project",
            "erp_internal_id": "PROJ-001",
            "code": "PA"
          },
          {
            "name": "Engineering",
            "label": "Division",
            "erp_internal_id": "DIV-001",
            "code": "ENG"
          },
          {
            "name": "IT Department",
            "label": "Department",
            "erp_internal_id": "DEPT-001"
          },
          {
            "name": "Vendor Name",
            "label": "CustomSegment-Vender",
            "code": "VENDOR-001"
          },
          {
            "name": "Customer Name",
            "label": "CustomSegment-Customer",
            "code": "CUSTOMER-001"
          }
        ],
        "customSegments": [
          {
            "label": "CustomSegment-Vender",
            "name": "Vendor Name",
            "erp_internal_id": null,
            "code": "VENDOR-001"
          }
        ],
        "createdAt": "2025-02-18T11:44:39.211Z",
        "updatedAt": "2025-02-18T11:44:39.211Z",
        "lineItems": [
          {
            "id": "7d31f208-e6d7-42c8-adad-a66a19206ffa",
            "amount": 120,
            "vatAmount": 14,
            "description": "Line Item for Transaction 2",
            "expenseCategory": "Office Supplies",
            "erpTaxRateName": "Tax Rate 2",
            "erpTaxRateRemoteId": "tax-rate-remote-id-2",
            "erpChartOfAccountName": "Account 2",
            "erpChartOfAccountRemoteId": "chart-account-remote-id-2",
            "segments": [
              {
                "name": "Main Office",
                "label": "Location",
                "erp_internal_id": "LOC-001",
                "code": "MO"
              },
              {
                "name": "Project Alpha",
                "label": "Project",
                "erp_internal_id": "PROJ-001",
                "code": "PA"
              },
              {
                "name": "Engineering",
                "label": "Division",
                "erp_internal_id": "DIV-001",
                "code": "ENG"
              },
              {
                "name": "IT Department",
                "label": "Department",
                "erp_internal_id": "DEPT-001"
              },
              {
                "name": "Vendor Name",
                "label": "CustomSegment-Vender",
                "code": "VENDOR-001"
              },
              {
                "name": "Customer Name",
                "label": "CustomSegment-Customer",
                "code": "CUSTOMER-001"
              }
            ],
            "createdAt": "2025-02-18T12:59:22.393Z",
            "updatedAt": "2025-02-18T12:59:22.393Z"
          },
          {
            "id": "a2f5bcf2-3743-4573-a88f-477cfd6f3e52",
            "amount": 120,
            "vatAmount": 14,
            "description": "Line Item for Transaction 2",
            "erpTaxRateName": "Tax Rate 2",
            "erpTaxRateRemoteId": "tax-rate-remote-id-2",
            "erpChartOfAccountName": "Account 2",
            "erpChartOfAccountRemoteId": "chart-account-remote-id-2",
            "segments": [
              {
                "name": "Main Office",
                "label": "Location",
                "erp_internal_id": "LOC-001",
                "code": "MO"
              },
              {
                "name": "Project Alpha",
                "label": "Project",
                "erp_internal_id": "PROJ-001",
                "code": "PA"
              },
              {
                "name": "Engineering",
                "label": "Division",
                "erp_internal_id": "DIV-001",
                "code": "ENG"
              },
              {
                "name": "IT Department",
                "label": "Department",
                "erp_internal_id": "DEPT-001"
              },
              {
                "name": "Vendor Name",
                "label": "CustomSegment-Vender",
                "code": "VENDOR-001"
              },
              {
                "name": "Customer Name",
                "label": "CustomSegment-Customer",
                "code": "CUSTOMER-001"
              }
            ],
            "createdAt": "2025-02-18T12:59:46.648Z",
            "updatedAt": "2025-02-18T12:59:46.648Z"
          }
        ]
      }
    ]
  }
]
```

### Errors

- `400` Bad Request
